Bug 1353248 - Pulp does not update status when workers error out
Summary: Pulp does not update status when workers error out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: John Mitsch
URL:
Whiteboard:
: 1415484 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-06 15:55 UTC by Partha Aji
Modified: 2021-04-06 18:00 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 1673 0 High CLOSED - CURRENTRELEASE Pulp's worker watcher does not notice workers that got killed by OOM killer and their tasks stay "running" forever 2016-07-26 14:01:09 UTC

Description Partha Aji 2016-07-06 15:55:21 UTC
Ref: https://pulp.plan.io/issues/1673

1) Perform a long sync operation  in Satellite
2) While the sync is in progress identify the worker process (the child process) that is performing the operation and kill it
3) Notice that the task stays in "Running" forever.

More info in the pulp plan bz.

Comment 1 pulp-infra@redhat.com 2016-07-06 16:30:54 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 2 pulp-infra@redhat.com 2016-07-06 16:30:56 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2016-07-11 18:00:55 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2016-07-26 14:01:10 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 6 Brad Buckingham 2016-08-03 14:17:05 UTC
The pulp fix is available upstream; therefore, moving to POST.

Comment 7 Bryan Kearney 2016-10-18 21:27:54 UTC
fixed in pulp 2.9.1

Comment 8 Michael Hrivnak 2017-01-24 17:17:48 UTC
*** Bug 1415484 has been marked as a duplicate of this bug. ***

Comment 9 John Mitsch 2017-08-30 17:47:49 UTC
Verified in satellite-6.3.0-16.0.beta.el7sat.noarch snap 13

when syncing a large repo and then killing the child process, the repo sync task correctly stops and shows:

PLP0049: Worker terminated abnormally while processing task 42ddd23e-ad08-4f66-8a96-a599e237ff1a.  Check the logs for details

Comment 10 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.